## TeplPrefsDialog TeplPrefsDialog — Preferences dialog |

## Functions

TeplPrefsDialog * | tepl_prefs_dialog_new ()
TeplPrefsDialog * | tepl_prefs_dialog_get_singleton ()
void | tepl_prefs_dialog_show_for_parent ()
void | tepl_prefs_dialog_add_reset_all_button ()

## Signals

void | reset-all | Run First

## Types and Values

struct | TeplPrefsDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── TeplPrefsDialog

## Implemented Interfaces

TeplPrefsDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <tepl/tepl.h>

## Description

TeplPrefsDialog is a subclass of GtkDialog for configuring the preferences of an application.

## Functions

### tepl_prefs_dialog_new ()

    TeplPrefsDialog *
    tepl_prefs_dialog_new (void);

#### Returns

a new TeplPrefsDialog.

[transfer floating]

Since: 6.13

### tepl_prefs_dialog_get_singleton ()

    TeplPrefsDialog *
    tepl_prefs_dialog_get_singleton (void);

The singleton instance is created with `tepl_abstract_factory_create_prefs_dialog()`.

#### Returns

the TeplPrefsDialog singleton instance.

[transfer none]

Since: 6.2

### tepl_prefs_dialog_show_for_parent ()

    void
    tepl_prefs_dialog_show_for_parent (TeplPrefsDialog *dialog,
                                       GtkWindow *parent_window);

This function sets the “transient-for” property and presents `dialog` .

#### Parameters

dialog | a TeplPrefsDialog. |
parent_window | the parent GtkWindow. |

Since: 6.2

### tepl_prefs_dialog_add_reset_all_button ()

    void
    tepl_prefs_dialog_add_reset_all_button
                                   (TeplPrefsDialog *dialog);

Adds a “Reset All” button. When the button is clicked and the user confirms, the “reset-all” signal is emitted.

#### Parameters

dialog | a TeplPrefsDialog. |

Since: 6.13

## Types and Values

### struct TeplPrefsDialog

    struct TeplPrefsDialog;

## Signal Details

### The `“reset-all”` signal

    void
    user_function (TeplPrefsDialog *prefs_dialog,
                   gpointer         user_data)

The ::reset-all signal is emitted when the user has requested to reset all preferences.

Applications should connect to this signal to perform the operation. `tepl_settings_reset_all()` may be useful for that.

See `tepl_prefs_dialog_add_reset_all_button()`.

#### Parameters

prefs_dialog | the TeplPrefsDialog emitting the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Since: 6.13